import '../viewpart/process-report';
import { PageView } from '@operato/shell';
declare const ProcessReportPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & typeof PageView;
export declare class ProcessReportPage extends ProcessReportPage_base {
    static styles: import("lit").CSSResult[];
    _processId: string;
    get context(): {
        title: string;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageUpdated(changes: any, lifecycle: any): void;
}
export {};
